package info.bukova.isspst.services.addressbook;

import info.bukova.isspst.data.Address;
import info.bukova.isspst.services.Service;

import java.util.List;

public interface AdbService extends Service<Address>{
	
	public List<Address> lookForAddr(AddressFinder finder, Address condAdr);
	public void fillFoundData(AddressFinder finder, Address address);
	public void mergeAddress(Address destination, Address source, boolean overwrite);
	public List<Address> queryToArrayList(String filter);
	
	public int count();

}
